

clear all

Nfft=512;

n1=0;
n2=100;
n=n1:n2;

dir=0;   %Muestras de senal Directa
ref=100;  %Muestras de Reflexion

mret=abs(ref-dir);

muestras=n2+abs(n1)+1;
fs=muestras/1;%Muestras por segundo
Dly=(mret/fs)*1000; % Retardo en milisegundos

%imp=delta(n0,n1,n2)+delta(10,n1,n2)+0.02*sin((45)/(2*pi)*n);
imp=delta(dir,n1,n2)+0.7*delta(10,n1,n2)+0.4*delta(15,n1,n2)-0.05*delta(28,n1,n2);

subplot(3,1,1);stem(n/fs*1000,imp);title('TIEMPO');xlabel('ms')

f=fs*[0:Nfft-1]/Nfft-fs/2;
IMP=fft(imp,Nfft);

subplot(3,1,2);semilogx(f,abs(fftshift(IMP)));xlim([0 fs/2]);ylim([0 2]);grid on
title('RESPUESTA EN FRECUENCIA')
subplot(3,1,3);semilogx(f,angle(fftshift(IMP)),'r');xlim([0 fs/2]);grid on
title('FASE')